Create
POST /{entityName} - Creates an entity with the properties specified in the request body.
Read
GET /{entityName}/{entityId} – Reads the entity identified by the ID.
Update
PUT /{entityName}/{entityId} – Updates the entity identified by the ID with the content of the request body.
Every time an entity is saved, the version property is incremented. To prevent multiple calls from overwriting each other’s changes,
the version property in the updated request body must match the latest version on MindBridge’s servers.
Delete
DELETE /{entityName}/{entityId} – Deletes the entity identified by the ID.
Query
POST /{entityName}/query – Performs a paged query of the entity collection.
Entity model
All endpoint requests and responses for a given entity use the same model structure, with some fields being either read-only or editable depending on the method. If a property is not editable for the endpoint in question, it will be ignored. For example, if the following organization entity body is used with theCreate Organization endpoint, then the id property will be
ignored and a new organization will be created with a new id and “New organization” as the name.

